import React, { useEffect, useRef } from 'react';
import { renderDocument } from './base';
export const Viewer = (props) => {
    const viewerContainer = useRef(null);
    useEffect(() => {
        viewerContainer.current && renderDocument(props.workerSrc)(viewerContainer.current);
        return () => {
            viewerContainer.current && viewerContainer.current.firstElementChild && viewerContainer.current.removeChild(viewerContainer.current.firstElementChild);
        };
    }, []);
    return React.createElement("div", { ref: viewerContainer, className: "viewer-container", id: props.documentId, "data-document-url": props.documentUrl });
};
//# sourceMappingURL=Viewer.js.map